Ubuntu

gcc-4.7 no longer builds for arm64

Reported by Wookey on 2013-02-26
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gcc-4.7 (Ubuntu)
Undecided
Unassigned

Bug Description

gcc-4.7-4.7.2-21ubuntu3 builds for arm64, but gcc-4.7-4.7.2-22ubuntu1 fails.

Using this command:
CONFIG_SITE=/etc/dpkg-cross/cross-config.arm64 DEB_BUILD_OPTIONS=nocheck dpkg-buildpackage -kBEA7C52D -aarm64 -B -d

after the patching and setup we get:

mkdir /«PKGBUILDDIR»/build
: # configure
cd /«PKGBUILDDIR»/build \
   && PATH=/«PKGBUILDDIR»/bin:/usr/lib/aarch64-linux-gnu/gcc/bin:$PATH \
  CC="" \
   \
 LD_LIBRARY_PATH=${LD_LIBRARY_PATH:+$LD_LIBRARY_PATH:}/«PKGBUILDDIR»/build/gcc/ada/rts \
  ../src/configure -v --with-pkgversion='Ubuntu 4.7.2-22ubuntu1' --with-bugurl='file:///usr/share/doc/gcc-4.7/README.Bugs' --enable-languages=c,c++,fortran --prefix=/usr --program-suffix=-4.7 --enable-shared --enable-linker-build-id --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --with-gxx-include-dir=/usr/include/c++/4.7 --libdir=/usr/lib --enable-nls --with-sysroot=/ --enable-clocale=gnu --enable-libstdcxx-debug --enable-libstdcxx-time=yes --enable-gnu-unique-object --disable-libssp --disable-libmudflap --disable-libgomp --disable-libitm --enable-plugin --with-system-zlib --disable-libstdcxx-pch --with-cloog --enable-cloog-backend=ppl --disable-cloog-version-check --disable-ppl-version-check --enable-multiarch --disable-werror --enable-checking=release --build=x86_64-linux-gnu --host=aarch64-linux-gnu --target=aarch64-linux-gnu
configure: loading site script /etc/dpkg-cross/cross-config.arm64
Reading Cross Config Cache (/etc/dpkg-cross/cross-config.arm64)
Reading /etc/dpkg-cross/cross-config.cache
checking build system type... x86_64-pc-linux-gnu
Invalid configuration `aarch64-linux-gnu': machine `aarch64' not recognized
configure: error: /bin/bash ../src/config.sub aarch64-linux-gnu failed

It turns out that this is because the gcc-linaro.diff patch is not applied for ubuntu builds, only Debian-arm64. So there is no aarch64 support to build.

Fixing this by re-enabling the gcc-linaro patch for arm64 allows builds to proceed (although it does not complete)

  ifneq (,$(findstring $(DEB_TARGET_ARCH),arm64))
    with_linaro_branch = yes
  endif

The changelog talks of reverting to using upstream, which is probably fine for other arches, but there is no aarch64 support in upstream 4.7.

Wookey (wookey) wrote :

Confirmed fixed in gcc-4.7-4.7.2-22ubuntu2

cheers

Changed in gcc-4.7 (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers